package de.intevation.flys.client.client.services;

import java.util.Map;

import com.google.gwt.user.client.rpc.AsyncCallback;

import de.intevation.flys.client.shared.model.Style;


/**
 * This interface provides a method to list themes filterd by name.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public interface ThemeListingServiceAsync {

    public void list(
        String locale,
        String name,
        AsyncCallback<Map<String, Style>> callback);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
